# Project directories
#
# TCLDIR = the location of the Tcl installation (e.g. c:\tcl)
# ROOT = top of source tree
# TMPDIR = location where .obj files should be stored during build
# TOOLS = location of compiler and other development tools
#

TCLDIR  = C:\TCL
TOOLS	= c:\bc45 
ROOT	= .
TMPDIR	= .

# uncomment the following line to compile with symbols
#DEBUG=1

# uncomment the following two lines to compile with TCL_MEM_DEBUG
#DEBUGDEFINES	=TCL_MEM_DEBUG

#
# Borland C++ tools
#

BORLAND = $(TOOLS)
IMPLIB  = Implib
BCC32   = Bcc32
BCC     = Bcc
RC	= brcc32
RC16	= brcc32 -31
CP      = copy
RM      = del /q/f

TCLLIB = $(TCLDIR)\bin
INCLUDES =	$(BORLAND)\include;$(TCLDIR)\include
LIBDIRS =	$(BORLAND)\lib;$(TCLLIB)

!ifndef DEBUG

# these macros cause maximum optimization and no symbols
DEBUGLDFLAGS = 
DEBUGCCFLAGS = -v- -vi- -O2
DEBUGLDFLAGS16 = -Oc -Oi -Oa -Or
!else

# these macros enable debugging
DEBUGLDFLAGS = -v
DEBUGCCFLAGS = -k -Od -v
DEBUGLDFLAGS16 = 

!endif

DEFINES = _RTLDLL;USE_PROTOTYPE;HAS_STDARG;HAS_DIRENT;STRICT;$(DEBUGDEFINES)
PROJECTCCFLAGS= $(DEBUGCCFLAGS) -w-stu -w-par 

LNFLAGS_exe = -Tpe -aa -c $(DEBUGLDFLAGS) $(BORLAND)\lib\c0w32
LNFLAGS_dll = -Tpd -aa -c $(DEBUGLDFLAGS) $(BORLAND)\lib\c0d32
LNLIBS_exe = tcl75 import32 cw32i
LNLIBS_dll =  tcl75 import32 cw32i

.AUTODEPEND
.CACHEAUTODEPEND

.suffixes: .c .dll .lib .obj .exe

.path.c=$(ROOT)
.path.obj=$(TMPDIR)

UUOBJS = $(TMPDIR)\tcluucod.obj
OBJS = $(TMPDIR)\tclsock.obj

all: BccWD32.cfg tcluucod.lib tclsock.lib

#
# Targets
#

.dll.lib:
	$(IMPLIB) -c $@ $<

Dep_tcluucodddll = tcl75.lib tcluucod.obj

tclsock.dll : tcl75.lib $(OBJS)
  tlink32 $(LNFLAGS_dll) @&&|
$(OBJS)
|, $@, -x, $(LNLIBS_dll), , 

tcluucod.dll : tcl75.lib $(UUOBJS)
  tlink32 $(LNFLAGS_dll) @&&|
$(UUOBJS)
|, $@, -x, $(LNLIBS_dll), , 

tcl75.lib :  $(TCLLIB)\tcl75.dll
  $(IMPLIB) $@ $(TCLLIB)\tcl75.dll

.c.obj:
	@$(BCC32) -DWindows -Ic:\bc45\include -Ic:\tcl\include +BccWD32.cfg {$< }

# Compiler configuration file
BccWD32.cfg : makefile
   Copy &&|
	-n$(TMPDIR) -I$(INCLUDES) -c -WD
	-D$(DEFINES) -3 -d -w $(PROJECTCCFLAGS)
| BccWD32.cfg


clean:
	$(RM) $(UUOBJS) *.cfg *.dll *.lib
